# Class ImageElement

java.lang.Object
org.jfree.svg.ImageElement

public final class ImageElement extends Object
A `(String, Image)` pair that links together a reference ID and the source image. This is used internally by `SVGGraphics2D` to track images as they are rendered. This is important when images are not embedded in the SVG output, in which case you may need to generate corresponding image files for the images (see also `SVGGraphics2D.getSVGImages()`).

## Constructor Summary

Constructors
Constructor
Description
`ImageElement(String href, Image image)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHref()`
Returns the reference ID that was specified in the constructor.
`Image`
`getImage()`
Returns the image that was specified in the constructor.
`String`
`toString()`
Returns a string representation of this object, primarily for debugging purposes.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImageElement

public ImageElement(String href, Image image)
Creates a new instance.

Parameters:
  `href` - the href (`null` not permitted).
  `image` - the image (`null` not permitted).

## Method Details

### getHref

public String getHref()
Returns the reference ID that was specified in the constructor.

Returns:
  The href (never `null`).

### getImage

public Image getImage()
Returns the image that was specified in the constructor.

Returns:
  The image (never `null`).

### toString

public String toString()
Returns a string representation of this object, primarily for debugging purposes.

Overrides:
  `toString` in class `Object`
Returns:
  A string.